Subject: Re: [http-state] IDNA and canonicalized host names

From: =JeffH <[email-masked]>
Date: Tue, 26 Oct 2010 07:45:40 -0700

>  I uploaded a draft with Jeff's text just before the deadline.

great, thanks.

Here's what's in -17 now wrt canonicalized host names..

###

5.1.2. Canonicalized host names

    A canonicalized host name is the string generated by converting the
    host name to a sequence of individual domain name labels, and convert
    each label that is not a NR-LDH label, to a A-label (see Section
    2.3.2.1 of [RFC5890] for the fomer and latter), or to a "punycode
    label" (a label resulting from the "ToASCII" conversion in Section 4
    of [RFC3490]), as appropriate (see Section 6.3 of this
    specification).

###

That's close, thanks, but it seems there's a misspelling (the 2nd "convert*" 
should be "converting" ?) and no explicit directive to re-assemble the sequence 
of labels into a string (tho it is implied), and nothing about separator chars.

Also, in sec 6.3, we probably should have UTS46 be an actual formal citation in 
the refs section.

the ref to RFC5895 is presently normative in -17, which may be required since 
it is mentioned in normative text (tho only in a MAY clause). the UTS46 cite 
should end up in which ever refs section RFC5895 does.

=JeffH

---

From: Adam Barth <[email-masked]>
Date: Tue, 26 Oct 2010 11:24:57 -0700

Boo.  That's what I get for trying to edit the document at the last minute.

Thanks,
Adam

On Tue, Oct 26, 2010 at 7:45 AM, =JeffH <[email-masked]> wrote:
> should be "converting" ?) and no explicit directive to re-assemble the
> sequence of labels into a string (tho it is implied), and nothing about
> separator chars.
>
>
>
> Also, in sec 6.3, we probably should have UTS46 be an actual formal citation
> in the refs section.
>
> the ref to RFC5895 is presently normative in -17, which may be required
> since it is mentioned in normative text (tho only in a MAY clause). the
> UTS46 cite should end up in which ever refs section RFC5895 does.
>
>
> =JeffH
>
> _______________________________________________
> http-state mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/http-state
>